:root {
  --primary-bg: #ffe193;
}

body {
  background-color: var(--primary-bg);
  font-family: sans-serif;
  margin: 0px;
}

img {
  width: 100%;
}

.site {
  margin-left: 25px;
  margin-right: 18px;

  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.site-main {
  display: flex;
  flex-direction: row;
  flex: 1;
}

.main-content {
  flex: 5;

  max-width: 55ch;
  word-wrap: break-word;
}

.main-header {
  padding-top: 15px;
}

.site-footer {
  /* margin-top: auto; */
  justify-self: end;
  margin-bottom: 15px;
  margin-top: 15px;
}

.footer-hero {
  width: 100%;
  display: flex;
  flex-direction: column;
}

.footer-hero-img {
  width: 100%;
  max-width: 400px;
  max-height: 400px;
  /* align-self: center; */
}

.panel-hero {
  display: none;
}

.panel-hero-img {
  position: sticky;
  top: 25%;

  min-height: 80px;
  max-width: 400px;
  max-height: 400px;
}

@media (min-width: 1025px) {
  .footer-hero {
    display: none;
  }

  .panel-hero {
    display: flex;
    flex-direction: column;
    justify-items: center;
    align-items: center;
    flex: 1;
  }
}

.text-mono {
  font-family: monospace;
}

hr {
  height: 2px;
  background-color: #000000;
  border: none
}

.fancy-button {
  /* Variables */
  --button_radius: 0.25em;
  --button_color: var(--primary-bg);
  --button_outline_color: #000000;
  display: block;
  font-size: 17px;
  font-weight: bold;
  border: none;
  cursor: pointer;
  border-radius: var(--button_radius);
  background: var(--button_outline_color);
  width: fit-content;
}

.fancy-button-top {
  display: block;
  box-sizing: border-box;
  border: 2px solid var(--button_outline_color);
  border-radius: var(--button_radius);
  padding: 0.75em 1.5em;
  background: var(--button_color);
  color: var(--button_outline_color);
  transform: translateY(-0.25em);
  transition: transform 0.1s ease;
}

.fancy-button:hover .fancy-button-top {
  /* Pull the button upwards when hovered */
  transform: translateY(-0.15em);
}

.fancy-button:active .fancy-button-top {
  /* Push the button downwards when pressed */
  transform: translateY(0);
}